| Version: 3.2.5

Public Member Functions | List of all members
wxBufferedInputStream Class Reference
Class List by Category » Streams

`#include <wx/stream.h>`

Inheritance diagram for wxBufferedInputStream:
[legend]

## Detailed Description

This stream acts as a cache.

It caches the bytes read from the specified input stream (see wxFilterInputStream). It uses wxStreamBuffer and sets the default in-buffer size to 1024 bytes. This class may not be used without some other stream to read the data from (such as a file stream or a memory stream).

##

Library: wxBase
Category: Streams

See also
  wxStreamBuffer, wxInputStream, wxBufferedOutputStream

## Public Member Functions

| wxBufferedInputStream (wxInputStream &stream, wxStreamBuffer *buffer=NULL)
| Constructor using the provided buffer or default. More...
| wxBufferedInputStream (wxInputStream &stream, size_t bufsize)
| Constructor allowing to specify the size of the buffer. More...
virtual | ~wxBufferedInputStream ()
| Destructor. More...
Public Member Functions inherited from wxFilterInputStream
| wxFilterInputStream (wxInputStream &stream)
| Initializes a "filter" stream. More...
| wxFilterInputStream (wxInputStream *stream)
| Initializes a "filter" stream. More...
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream. More...
virtual | ~wxInputStream ()
| Destructor. More...
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block. More...
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream. More...
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary. More...
virtual size_t | LastRead () const
| Returns the last number of bytes read. More...
virtual char | Peek ()
| Returns the first character in the input queue without removing it. More...
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer. More...
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream. More...
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer. More...
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position. More...
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g. More...
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode. More...
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function. More...
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object. More...
virtual | ~wxStreamBase ()
| Destructor. More...
wxStreamError | GetLastError () const
| This function returns the last error. More...
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes. More...
virtual size_t | GetSize () const
| This function returns the size of the stream. More...
virtual bool | IsOk () const
| Returns true if no error occurred on the stream. More...
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets. More...
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state. More...
bool | operator! () const
| Returns the opposite of IsOk(). More...

## Additional Inherited Members

Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function. More...
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function. More...
virtual wxFileOffset | OnSysTell () const
| Internal function. More...

## Constructor & Destructor Documentation

## ◆ wxBufferedInputStream() [1/2]

wxBufferedInputStream::wxBufferedInputStream | ( | wxInputStream & | stream,
|  | wxStreamBuffer * | buffer = `NULL`
| ) |  |

Constructor using the provided buffer or default.

Parameters

  stream | The associated low-level stream.
  buffer | The buffer to use if non-NULL. Notice that the ownership of this buffer is taken by the stream, i.e. it will delete it. If this parameter is NULL a default 1KB buffer is used.

## ◆ wxBufferedInputStream() [2/2]

wxBufferedInputStream::wxBufferedInputStream | ( | wxInputStream & | stream,
|  | size_t | bufsize
| ) |  |

Constructor allowing to specify the size of the buffer.

This is just a more convenient alternative to creating a wxStreamBuffer of the given size and using the other overloaded constructor of this class.

Parameters

  stream | The associated low-level stream.
  bufsize | The size of the buffer, in bytes.

Since
  2.9.0

## ◆ ~wxBufferedInputStream()

virtual wxBufferedInputStream::~wxBufferedInputStream | ( |  | ) |

virtual

Destructor.